/* =========================================
   RESET & BASE ELEMENT STYLES
   ========================================= */
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

::selection {
    background-color: var(--color-bg-selection);
    color: var(--color-accent);
}

body {
    font-family: var(--font-primary);
    background-color: var(--color-bg-primary);
    color: var(--color-text-primary);
    line-height: 1.5;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    overflow-x: hidden;
    cursor: none;
}

a {
    color: inherit;
    text-decoration: none;
    transition: var(--transition-fast);
    cursor: none;
}

ul {
    list-style: none;
}

img,
video {
    max-width: 100%;
    display: block;
}

button {
    cursor: none;
    font-family: inherit;
    border: none;
    outline: none;
    background: transparent;
}
